--- check installation of AddonsTools
Global("dsc", nil )

local wAddonsTools = stateMainForm:GetChildUnchecked("AddonsTools", false)
local w = mainForm:GetChildUnchecked("ErrorText", false)

if wAddonsTools then
	if not w then
		LogInfo('')
		LogInfo('ERROR: *************************************************************************')
		LogInfo("ERROR: ***  Insert into your addon 'ErrorText.(WidgetTextView).xdb' widget!  ***")
		LogInfo("ERROR: ***  See Example3.zip in AddonsTools folder                           ***")
		LogInfo('ERROR: *************************************************************************')
		LogInfo("ОШИБКА: ***  Вставьте в свой аддон виджет 'ErrorText.(WidgetTextView).xdb' ! ***")
		LogInfo("ОШИБКА: ***  Пример смотрите в Example3.zip в папке AddonsTools               ***")
		LogInfo('ОШИБКА: *************************************************************************')
		LogInfo('')
		--LogToChat("Insert into your addon 'ErrorText.(WidgetTextView).xdb' widget! See Example3.zip in AddonsTools folder", "LogColorRed")
		ErrToChat("Insert into your addon 'ErrorText.(WidgetTextView).xdb' widget! See Example3.zip in AddonsTools folder")
		ErrToChat("Вставьте в свой аддон виджет 'ErrorText.(WidgetTextView).xdb' ! Пример смотрите в Example3.zip в папке AddonsTools")
		W("ErrorText") --- rise error here
	else
		w:Show(false)

		--- set widgets descriprions for menu class and get its:
		dsc = menuDscInit(wAddonsTools)
	end
else
	LogInfo('')
	LogInfo('ERROR: **********************************************************************')
	LogInfo('ERROR: ***  Install and run addon "AddonsTools" from http://alloder.pro!  ***')
	LogInfo('ERROR: ** Установите и запустите аддон "AddonsTools" с http://alloder.pro! **')
	LogInfo('ERROR: **********************************************************************')
	LogInfo('')
	if not w then
		LogInfo('')
		LogInfo('ERROR: *************************************************************************')
		LogInfo("ERROR: ***  Insert into your addon 'ErrorText.(WidgetTextView).xdb' widget!  ***")
		LogInfo("ERROR: ***  See Example3.zip in AddonsTools folder                           ***")
		LogInfo('ERROR: *************************************************************************')
		LogInfo("ОШИБКА: ***  Вставьте в свой аддон виджет 'ErrorText.(WidgetTextView).xdb' ! ***")
		LogInfo("ОШИБКА: ***  Пример смотрите в Example3.zip в папке AddonsTools              **")
		LogInfo('ERROR: *************************************************************************')
		LogInfo('')
		--w = mainForm:GetChildChecked("ErrorText", false) --- rise error here
	else
		w:SetFormat(userMods.ToWString("<body alignx='center' aligny='middle' fontsize='22' outline='2'><tip_red>Установите и запустите аддон 'AddonsTools' с http://alloder.pro!<br />Install and run addon 'AddonsTools' from http://alloder.pro!<br /></tip_red></body>"
		))
	end
end
